function Pagination(params) {
	this.uri = params.uri
	this.el = params.el || '.result_container_main_left_pagination ul'
	this.pageSize = params.pageSize || 10
	this.pageNum = params.pageNum || 1
	this.total = params.total || 0
	this.pageSum = Math.ceil(this.total / this.pageSize)
	this.leftIcon =
		params.leftIcon || '<i class="iconfont icon-arrow-left"></i>'
	this.rightIcon =
		params.rightIcon || '<i class="iconfont icon-arrow-right"></i>'
	this.rendomPaginat()
	this.clickPagination()
}

/**
 * 设置Pagination格式
 * @return {Array}
 */
Pagination.prototype.setPagination = function () {
	let arr = []
	if (this.pageSum == 0) {
		arr = []
	} else if (this.pageSum > 5) {
		if (this.pageNum <= 4) {
			arr.push(this.leftIcon)
			for (var i = 1; i <= 5; i++) {
				arr.push(i)
			}
			arr.push('···')
			arr.push(this.rightIcon)
		} else if (this.pageNum > 4 && this.pageNum < this.pageSum - 3) {
			arr = [
				this.leftIcon,
				'···',
				this.pageNum - 2,
				this.pageNum - 1,
				this.pageNum,
				this.pageNum * 1 + 1,
				this.pageNum * 1 + 2,
				'···',
				this.rightIcon,
			]
		} else if (this.pageNum >= this.pageSum - 3) {
			arr.push(this.leftIcon)
			arr.push('···')
			for (var i = this.pageSum - 5; i <= this.pageSum; i++) {
				arr.push(i)
			}
			arr.push(this.rightIcon)
		}
	} else {
		arr.push(this.leftIcon)
		for (var i = 1; i <= this.pageSum; i++) {
			arr.push(i)
		}
		arr.push(this.rightIcon)
	}
	return arr
}

/**
 * 点击分页选项
 */
Pagination.prototype.clickPagination = function () {
	let that = this
	$(this.el).on('click', 'li', function () {
		let current = Number($(this).html())
		if (!isNaN(current)) {
			if (that.pageNum != current) {
				that.pageNum = current
				window.location.href = encodeURI(uri.replace("${pageNum}",that.pageNum))
			}
		} else {
			let type = $(this).attr('data-type')
			if (type == 'left') {
				if (that.pageNum <= 1) {
					return
				} else {
					that.pageNum--
				}
			} else if (type == 'right') {
				if (that.pageNum >= that.pageSum) {
					return
				} else {
					that.pageNum++
				}
			} else {
				return
			}
			window.location.href = encodeURI(uri.replace("${pageNum}",that.pageNum))
		}
	})
}

/**
 * 渲染分页组件
 * @return {document}
 */
Pagination.prototype.rendomPaginat = function () {
	let paginationList = this.setPagination()
	let that = this
	let paginationInner = paginationList
		.map(function (item, index) {
			if (index == 0) {
				return "<li data-type='left'>" + item + '</li>'
			} else if (index == paginationList.length - 1) {
				return "<li data-type='right'>" + item + '</li>'
			} else {
				return (
					'<li class=' +
					(that.pageNum == item ? 'actived' : '') +
					'>' +
					item +
					'</li>'
				)
			}
		})
		.join(' ')
	$(this.el).html(paginationInner)
	return paginationInner
}
let uri
if ($) {
	let total = $('.result_container_main_left_pagination').attr('data-total')
	let pageNum = $('.result_container_main_left_pagination').attr(
		'data-pageNum'
	)
	let pageSize = $('.result_container_main_left_pagination').attr(
		'data-pageSize'
	) || 10
	uri = $('.result_container_main_left_pagination').attr(
		'data-uri'
	)
	new Pagination({ total, pageNum, pageSize, uri })
	searchService()
	clickHotSearch()
}

//点击查询按钮
function searchService() {
	$('#serviceName').keydown(function (e) {
		if (e.keyCode == 13) {
			let val = $(this).val()
			window.location.href = encodeURI('/service/search-1.html?sw=' + val)
		}
	})
	$('.search_container_inp_main_import_sub').click(function () {
		let val = $('#serviceName').val()
		// if (val) {
			// console.log(val)
			//拼接参数跳转网页
			window.location.href = encodeURI('/service/search-1.html?sw=' + val)
		// }
	})
}

function clickHotSearch() {
	$('.search_container_inp_main_hot_item').click(function () {
		let val = $(this).text().trim()
		window.location.href = encodeURI('/service/search-1.html?sw=' + val)
	})
}
